<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# Save modules options
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************
/**
*
* \brief Change a module parameter
*
* @param  
* (String)  vars
* (Int) prof
* (Int)  un
*
*  return xml file
*
*  \relatesalso
*   ajax.js
*  $p.app.widgets.changeVar
*
* !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
*
**/

if (!isset($_POST["un"])) exit();
if (!isset($_POST["prof"])) exit();
if (!isset($_POST["vars"])) exit();

$folder="";
$not_access=1;
$isScript=true;
$isPortal=false;
$pagename="portal/scr_savevar.php";
$granted="I";
//includes
require_once('includes.php');
require_once('../includes/xml.inc.php');
launch_hook('scr_savevar');

$file=new xmlFile();

$file->header();
$vars = isset($_POST["vars"])?$_POST["vars"]:"";
$module_id = isset($_POST["id"])?$_POST["id"]:0;

$sharedkey = "";
$DB->getResults($module_getid,$DB->escape($_SESSION['user_id']),$DB->escape($_POST["prof"]),$DB->escape($_POST["un"]));

$row=$DB->fetch(0);
$item_id = $row['item_id'];
$DB->freeResults();
if( !empty($module_id) && isset($_SESSION['user_id']) ){
	if( isset($_POST["noteid"])) {
		$noteid = $_POST["noteid"];
		$DB->getResults($note_getShared,$DB->escape($_SESSION['user_id']),$DB->escape($noteid));
		$row=$DB->fetch(0);
		$sharedkey =  $row['shared'];
		$DB->freeResults();
	}
	if( isset($_POST["taskid"])) {
		$taskid = $_POST["taskid"];
		$DB->getResults($tasks_getShared,$DB->escape($taskid),$DB->escape($_SESSION['user_id']));
		$row=$DB->fetch(0);
		$sharedkey =  $row['shared'];
		$DB->freeResults();
	}
	if( isset($_POST["calid"])) {
		$calid = $_POST["calid"];
		$DB->getResults($cal_getShared,$DB->escape($calid),$DB->escape($_SESSION['user_id']));
		$row=$DB->fetch(0);
		$sharedkey =  $row['shared'];
		$DB->freeResults();
	}
	if( isset($_POST["addid"])) {
		$addid = $_POST["addid"];
		$DB->getResults($addressbook_getShared,$DB->escape($addid),$DB->escape($_SESSION['user_id']));
		$row=$DB->fetch(0);
		$sharedkey =  $row['shared'];
		$DB->freeResults();
	}
	if( isset($_POST["taskid"])) {
		$taskid = $_POST["taskid"];
		$DB->getResults($tasks_getShared,$DB->escape($taskid),$DB->escape($_SESSION['user_id']));
		$row=$DB->fetch(0);
		$sharedkey =  $row['shared'];
		$DB->freeResults();
	}
	if( isset($_POST["linkid"])) {
		$linkid = $_POST["linkid"];
		$DB->getResults($links_getShared,$DB->escape($linkid),$DB->escape($_SESSION['user_id']));
		$row=$DB->fetch(0);
		$sharedkey =  $row['shared'];
			$DB->freeResults();
	}
}

if( !empty($sharedkey) ) {
	$vars .= "&sharedkey=".$sharedkey;
}
// save module options changes
$DB->execute($scrsavevar_updateVar,$DB->quote($vars),$DB->escape($_SESSION['user_id']),$DB->escape($_POST["prof"]),$DB->escape($_POST["un"]));
$chk = $DB->nbAffected();
$file->status($chk);

$file->footer();

$DB->close();
?>